Skip to main content
PUT
update entity by id

Authorizations

Authorization
string
header
required

Authentication

Path Parameters

id
integer<int64>
required

Body

application/json
status
enum<string>

Status of the entity. Default: 'ACTIVE'

Available options:
ACTIVE,
DISABLED,
DELETED
name
string

Name of the detector

source
enum<string>

Source of the detector events (Kafka topic)

Available options:
ATTACK_DETECTOR,
FORTA,
SENTINEL
tags
string[]

Tags of the detector

config
object

Configuration of the detector. Should match with Json schema from detector type

destinations
object[]

List of destinations associated with the entry

actions
object[]

List of actions associated with the entry

Response

200 - application/json

OK

id
integer<int64>

Unique identifier of the entity

Example:

1

createdAt
integer<int64>

Time when entity was created

updatedAt
integer<int64>

Time when entity was updated

status
enum<string>

Status of the entity. Default: 'ACTIVE'

Available options:
ACTIVE,
DISABLED,
DELETED
schema
object

Unique identifier of the detector config schema. Default: 'Basic' detector schema

contractId
integer<int64>

Unique identifier of the contract associated with the extractor action

name
string

Name of the detector

source
enum<string>

Source of the detector events (Kafka topic)

Available options:
ATTACK_DETECTOR,
FORTA,
SENTINEL
tags
string[]

Tags of the detector

config
object

Configuration of the detector. Should match with Json schema from detector type

destinations
object[]

List of destinations associated with the entry

actions
object[]

List of actions associated with the entry